// 定时器模块
// 秒寻科技
// zt 2024-10-27

package timer

import (
	"fmt"
	"ipsomc/module/bparam/bparamapi"
	"ipsomc/public"
	"time"
)

var bparamApi bparamapi.BparamApi

// 创建一个定时器
func CreateTimer() {
	ticker := time.NewTicker(6 * time.Minute)
	defer ticker.Stop()

	// 使用无限循环等待Ticker的触发
	for {
		select {
		case t := <-ticker.C:
			fmt.Println("Ticker触发时间:", t)
			bparamApi.UpdateBtsStatus(public.Gpub_mapHeart) //修改基站状态
		}
	}
}
